{% extends "circulation/circulation_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<section class="dashboard">
<div><h4 class="text-center m-3">{{circulate}}</h4></div>
<!-- Actual form to borrow or return -->
<form class="m-4" method="GET">
    
    <div class="collapse" id="collapse-btn">
    <div class="input-group">
      <input type="text" id="name" class="form-control" placeholder="Patron ID...">
        <input type="text" class="form-control" placeholder="Book ID...">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" data-toggle="modal" data-target="#loginModal">Search</button>
        </span>
    </div>
    </div>
</form>

<div class="btn-group d-flex m-4">
    <button class="btn btn-primary d-block" data-toggle="collapse" data-target="#collapse-btn">Enter book ID</button>
    <button class="btn btn-success d-block" type="button" data-toggle="modal" data-target="#loginModal">Scan book</button>
</div>
</div>
 <!-- LOGIN MODAL -->
<div class="modal" id="loginModal">
    <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title">{{circulate}}</h5>
        <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <!--Displays Borrow details after book is scaned-->
        <div class="modal-body">
        <form>
            <div class="form-group">
            <label for="username">Patron name</label>
            <input type="text" placeholder="Patron name" class="form-control">
            </div>
            <div class="form-group">
            <label for="password">Book name</label>
            <input type="text" placeholder="Book name" class="form-control">
            </div>
        </form>
        </div>
        <div class="modal-footer">
        <button class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button class="btn btn-primary" data-dismiss="modal">{{circulate}}</button>
        </div>
    </div>
    </div>
</div>
{% endblock %}
{% block footer %}
{% endblock %}